> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/soccer/objects/statistics/player-action-aggregates.md).

# Player Action Aggregates

## Attributes

<table><thead><tr><th width="237.33333333333331">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>player</td><td><a data-mention href="/pages/kdMbHkwie9W77ALnhJau">/pages/kdMbHkwie9W77ALnhJau</a></td><td>Player details.</td></tr><tr><td>gameActionAggregates</td><td><a data-mention href="/pages/OruLUUh0mplPKl6UnSkp">/pages/OruLUUh0mplPKl6UnSkp</a></td><td>The aggregated event data encompasses both general and event-specific attributes.</td></tr><tr><td>periodActionAggregates</td><td><a data-mention href="/pages/3uw6C1yuaMWhJMsFJnK1">/pages/3uw6C1yuaMWhJMsFJnK1</a></td><td>Consolidated event data, organised by each match period.</td></tr></tbody></table>

{% code title="Response JSON" %}

```json
{
  "player": {
    "id": "fef9d862-206c-4bce-87b9-2707a03ecb41",
    "name": "Eliran Atar"
  },
  "gameActionAggregates": [
    {
      "action": "Goal",
      "actionId": 104,
      "actionAggregate": 1,
      "subActionAggregates": [
        {
          "subAction": "Penalty Goal",
          "subActionId": 10401,
          "subActionAggregate": 1
        }
      ]
    },
    {
      "action": "Substitution Out",
      "actionId": 14,
      "actionAggregate": 1,
      "subActionAggregates": []
    }
  ],
  "periodActionAggregates": [
    {
      "type": "Regular",
      "label": "2nd half",
      "period": 2,
      "aggregates": [
        {
          "action": "Substitution Out",
          "actionId": 14,
          "actionAggregate": 1,
          "subActionAggregates": []
        }
      ]
    },
    {
      "type": "Regular",
      "label": "1st half",
      "period": 1,
      "aggregates": [
        {
          "action": "Goal",
          "actionId": 104,
          "actionAggregate": 1,
          "subActionAggregates": [
            {
              "subAction": "Penalty Goal",
              "subActionId": 10401,
              "subActionAggregate": 1
            }
          ]
        }
      ]
    }
  ]
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/soccer/objects/statistics/player-action-aggregates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
